package org.ajax4jsf.bean;

public class A4JKeepAliveTestBean {

    /* result */
    private Integer sum = 0;

    /* value to be added to result */
    private Integer augend = 5;

    /**
     * Gets value of sum field.
     * @return value of sum field
     */
    public Integer getSum() {
        return sum;
    }

    /**
     * Set a new value for sum field.
     * @param sum a new value for sum field
     */
    public void setSum(Integer sum) {
        this.sum = sum;
    }

    /**
     * Gets value of augend field.
     * @return value of augend field
     */
    public Integer getAugend() {
        return augend;
    }

    /**
     * Set a new value for augend field.
     * @param augend a new value for augend field
     */
    public void setAugend(Integer augend) {
        this.augend = augend;
    }

    public String doSum() {
        sum += augend;
        return null;
    }
}
